<?php
require 'Predis/Autoloader.php';
Predis\Autoloader::register();

$redis = new Predis\Client([
	'scheme' => 'tcp',
	'host'   => '127.0.0.1',
	'port'   => 6379,
	]);
$uri = $_SERVER['REQUEST_URI'];

if ($redis->exists(md5($uri)) {
	$contents = $redis->get(md5($uri));
	echo $contents;
	exit();
}
/* Operations to generate the page and assign the output to a variable
   $contents */

$redis->set(md5($uri), $contents);
$redis->expire(md5($uri), 6*60*60) //6 Hours validity
?>
